#ifndef TRAYVOLUMECTRL_H
#define TRAYVOLUMECTRL_H

#include <QWidget>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QSlider>
#include <QLabel>
#include <QPushButton>

class CAvReceiverGui;

class CTrayVolumeCtrl : public QWidget
{
    Q_OBJECT

public:
    explicit CTrayVolumeCtrl(CAvReceiverGui *AvReceiverGuiPtr,QWidget *parent = 0);
    ~CTrayVolumeCtrl();
    //QHBoxLayout *mLayout;
    QGridLayout *mLayout;
    QSlider *mMainZoneSlider, *mZone2Slider;
    QLabel *mMainZoneLabel, *mZone2Label;
    QPushButton *mButton1, *mButton2, *mButton3, *mButton4;
    CAvReceiverGui *mAvReceiverGuiHandle;

    int SetMainZoneVolume(int SliderValue, float Volume);
    int SetZone2Volume(int SliderValue, float Volume);

    float mMainZoneCurVolume, mZone2CurVolume;


private:

public slots:

    void MainZoneSliderValueChanged();
    void Zone2SliderValueChanged();

};

#endif // TRAYVOLUMECTRL_H
